import 'package:flutter/material.dart';

enum MenuOption {
  CompleteSchedule,
  DeliverySchedule,
  WorkersOnTheProperty,
  FastPassSchedule,
  QRCodeAccessInProperty,
  AccessOnTheProperty,
  LiberationsOnTheProperty,
  MessagesOnTheProperty,
  ReservationsOnTheLocal,
  PackagesOnTheProperty,
  VehiclesOnTheProperty,
  PetsOnTheProperty,
  PetsRegister,
  VisitorsRegister,
  VisitsOnTheProperty,
  ResidentsOnTheProperty,
  SettingsOnTheApp,
  AboutProperty,
  LogoutOnTheApp,
}

abstract class MenuEntry extends StatefulWidget {
  const MenuEntry({
    super.key,
    required this.action,
    required this.title,
    required this.icon,
    required this.safeSetState,
  });

  final Function() action;
  final String title;
  final IconData icon;
  final VoidCallback safeSetState;
}